%define upstream_name    Test-Fixme
%define upstream_version 0.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Check code for FIXMEs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
When coding it is common to come up against problems that need to be
addressed but that are not a big deal at the moment. What generally happens
is that the coder adds comments like:

 # FIXME - what about windows that are bigger than the screen?

 # FIXME - add checking of user priviledges here.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.160.0-3.mga8
+ Revision: 1497349
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.160.0-2.mga7
+ Revision: 1271861
- Mageia 7 Mass Rebuild

* Sun May 08 2016 shlomif <shlomif> 0.160.0-1.mga6
+ Revision: 1010786
- update to 0.16

* Fri Feb 19 2016 umeabot <umeabot> 0.150.0-2.mga6
+ Revision: 968860
- Mageia 6 Mass Rebuild

* Mon Jul 20 2015 sander85 <sander85> 0.150.0-1.mga6
+ Revision: 855687
- update to 0.15

* Sat Jun 27 2015 shlomif <shlomif> 0.140.0-1.mga6
+ Revision: 846447
- New version 0.14

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-3.mga5
+ Revision: 746221
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-2.mga5
+ Revision: 686443
- Mageia 5 Mass Rebuild

* Wed Jul 30 2014 sander85 <sander85> 0.110.0-1.mga5
+ Revision: 658221
- update to 0.11

* Sat Oct 19 2013 umeabot <umeabot> 0.100.0-2.mga4
+ Revision: 531939
- Mageia 4 Mass Rebuild

* Mon Aug 12 2013 sander85 <sander85> 0.100.0-1.mga4
+ Revision: 465804
- update to 0.10

* Fri Jun 07 2013 jquelin <jquelin> 0.90.0-1.mga4
+ Revision: 439946
- update to 0.09

* Sun Jan 13 2013 umeabot <umeabot> 0.70.0-2.mga3
+ Revision: 373534
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 0.70.0-1.mga3
+ Revision: 286535
- update to 0.07

* Sun Jan 23 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 34249
- mageia rebuild
- imported package perl-Test-Fixme

